/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Sun Apr 30 18:34:34 CEST 2000
    copyright            : (C) 2000 by Frank von Daak
    email                : frank.fun@kpage.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kcmdlineargs.h>

#include "kwebget.h"

static const char *description =
	I18N_NOOP("KWebGet");
// INSERT A DESCRIPTION FOR YOUR APPLICATION HERE
	
static KCmdLineOptions options[] =
{
  { 0, 0, 0 }
  // INSERT YOUR COMMANDLINE OPTIONS HERE
};

int main(int argc, char *argv[])
{
  KAboutData aboutData( "kwebget", I18N_NOOP("KWebGet"),
    VERSION, description, KAboutData::License_GPL,
    "(c) 2000, Frank von Daak");
  aboutData.addAuthor("Frank von Daak",0, "frank.fun@kpage.de");
  KCmdLineArgs::init( argc, argv, &aboutData );
  KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

  KApplication a;
  KWebGet *kwebget = new KWebGet();

  kwebget->setFixedSize(600,420);
  kwebget->setMinimumSize(600,420);
  kwebget->startApp();
  kwebget->startView();
//  kwebget->show();

  a.setMainWidget(kwebget);
  return a.exec();


/*------------------------------------------------------
  KApplication a(argc, argv, "kwebget");

  KWebGet *kwebget = new KWebGet();
  a.setMainWidget(kwebget);
  kwebget->startApp();
  kwebget->startView();
//  kwebget->show();

  return a.exec();
*/
}